<?php

// If we have found SSI.php and we are outside of SMF, then we are running standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF')) // If we are outside SMF and can't find SSI.php, then throw an error
	die('<b>Error:</b> Cannot install - please verify you put this file in the same place as SMF\'s SSI.php.');
	
if (SMF == 'SSI')
	db_extend('packages');
	
$hook_functions = array(
	'integrate_pre_include' => '$sourcedir/ForceReadTopics.php',
	'integrate_admin_areas' => 'ForceReadTopicsAdminArea',
	'integrate_modify_modifications' => 'ForceReadTopicsSubAction',	
	'integrate_load_theme' => 'force_users_read_topic',
);

if (!empty($context['uninstalling']))
	$call = 'remove_integration_function';
else
	$call = 'add_integration_function';

foreach ($hook_functions as $hook => $function)
	$call($hook, $function);

if (SMF == 'SSI')
   echo 'Congratulations! You have successfully installed this mod!';