<?php

// If we have found SSI.php and we are outside of SMF, then we are running standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF')) // If we are outside SMF and can't find SSI.php, then throw an error
	die('<b>Error:</b> Cannot install - please verify you put this file in the same place as SMF\'s SSI.php.');
	db_extend('packages');
	
    //Creating tables.
	$tables = array(
		'force_users_topic_read' => array(
			'name' => 'force_users_topic_read',
			//Columns.
			'columns' => array(
				array(
					'name' => 'user_id',
					'type' => 'mediumint',
					'size' => '8',
					'default' => '0',
				),
				array(
					'name' => 'topic_id',
					'type' => 'mediumint',
					'size' => '8',
					'default' => '0',
				),
			),
			//End Columns.
			'indexes' => array(
				array(
					'type' => 'primary',
					'columns' => array('user_id', 'topic_id')
				),
				array(
					'columns' => array('user_id')
				),
				array(
					'columns' => array('topic_id')
				),
			)
		),
		//End Table.
	);

	foreach ($tables as $table)
	{
		$smcFunc['db_create_table']('{db_prefix}' . $table['name'], $table['columns'], $table['indexes'], array(), 'update');
	}		

if (!empty($ssi))
	echo 'Congratulations! You have successfully installed this mod!';